com.hazelcast.jet

## Class JobStateSnapshot

- java.lang.Object
- - com.hazelcast.jet.JobStateSnapshot

-     public final class JobStateSnapshot
      extends Object

  A handle to an exported state snapshot created using `Job.exportSnapshot(String)`.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `creationTime()` Returns the time the snapshot was created.
    `String` | `dagJsonString()` Returns the JSON representation of the DAG of the job this snapshot was created from.
    `void` | `destroy()` Destroy the underlying distributed object.
    `long` | `jobId()` Returns the job ID of the job the snapshot was originally exported from.
    `String` | `jobName()` Returns the job name of the job the snapshot was originally exported from.
    `String` | `name()` Returns the snapshot name.
    `long` | `payloadSize()` Returns the size in bytes of the payload data of the state snapshot.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### name

          @Nonnull
          public String name()

      Returns the snapshot name. This is the name that was given to `Job.exportSnapshot(String)`.

    - #### creationTime

          public long creationTime()

      Returns the time the snapshot was created.

    - #### jobId

          public long jobId()

      Returns the job ID of the job the snapshot was originally exported from.

    - #### jobName

          @Nullable
          public String jobName()

      Returns the job name of the job the snapshot was originally exported from.

    - #### payloadSize

          public long payloadSize()

      Returns the size in bytes of the payload data of the state snapshot. Doesn't include storage overhead and especially doesn't account for backup copies.

    - #### dagJsonString

          @Nonnull
          public String dagJsonString()

      Returns the JSON representation of the DAG of the job this snapshot was created from.

    - #### destroy

          public void destroy()

      Destroy the underlying distributed object.

Copyright © 2019. All rights reserved.